
import static javax.persistence.GenerationType.SEQUENCE;

import java.io.Serializable;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.ManyToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

@Entity
@Table(name = "A")
@Inheritance(strategy = InheritanceType.JOINED)
public class A implements Serializable {

	private short ida;
	private Set<B> bs;


	public A() {}


	public A(short ida) {
		this.ida = ida;
	}


	@SequenceGenerator(name = "gen_a", sequenceName = "seq_a_id", allocationSize = 1)
	@Id
	@GeneratedValue(strategy = SEQUENCE, generator = "gen_a")
	@Column(name = "IDA")
	public short getIda() {
		return ida;
	}


	public void setIda(short ida) {
		this.ida = ida;
	}


	@ManyToMany(fetch = FetchType.EAGER, mappedBy = "as")
	public Set<B> getBs() {
		return bs;
	}


	public void setBs(Set<B> bs) {
		this.bs = bs;
	}
}