
import static javax.persistence.GenerationType.SEQUENCE;

import java.io.Serializable;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;


@Entity
@Table(name = "B")
public class B implements Serializable {

	private short idb;
	private Set<A> as;


	public B() {}


	public B(short idb) {
		this.idb = idb;
	}


	@SequenceGenerator(name = "gen_b", sequenceName = "seq_b_id", allocationSize = 1)
	@Id
	@GeneratedValue(strategy = SEQUENCE, generator = "gen_b")
	@Column(name = "IDB")
	public short getIdb() {
		return idb;
	}


	public void setIdb(short idb) {
		this.idb = idb;
	}


	@ManyToMany(fetch = FetchType.EAGER)
	@JoinTable(name = "A_B", joinColumns = { @JoinColumn(name = "IDB") }, inverseJoinColumns = { @JoinColumn(name = "IDA") })
	public Set<A> getAs() {
		return as;
	}


	public void setAs(Set<A> as) {
		this.as = as;
	}
}